/**
 * JASMINe
 * Copyright (C) 2010 Bull S.A.S.
 * Copyright (C) 2010 France Telecom
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring.vo {
import com.adobe.cairngorm.vo.IValueObject;

/**
 * @author Philippe Durieux
 */
[Bindable]
public class ReplayFileName implements IValueObject {

    private var _directory:String;

    private var _name:String;

    private var _date:Date;

    private var _size:Number;

    private var _separator:String;

    private var _dateFirst:Number;

    private var _dateLast:Number;

    public function ReplayFileName():void {
    }

    public function set directory(d:String):void {
        this._directory = d;
    }

    public function get directory():String {
        return this._directory;
    }

    public function set name(n:String):void {
        this._name = n;
    }

    public function get name():String {
        return this._name;
    }

    public function set date(d:Date):void {
        this._date = d;
    }

    public function get date():Date {
        return this._date;
    }

    public function set size(v:Number):void {
        this._size = v;
    }

    public function get size():Number {
        return this._size;
    }

    public function set separator(s:String):void {
        this._separator = s;
    }

    public function get separator():String {
        return this._separator;
    }

    public function get dateFirst():Number {
        return _dateFirst;
    }

    public function set dateFirst(value:Number):void {
        _dateFirst = value;
    }

    public function get dateLast():Number {
        return _dateLast;
    }

    public function set dateLast(value:Number):void {
        _dateLast = value;
    }
}
}
